Debian Bug report logs - #301419
python-mysqldb: doesn't support MySQL sets on either read or write

version graph

Package: python-mysqldb; Maintainer for python-mysqldb is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-mysqldb is src:python-mysqldb.

Reported by: Tim Freeman <tim@fungible.com>

Date: Fri, 25 Mar 2005 20:03:02 UTC

Severity: normal

Found in version 1.1.6-1

Fixed in version python-mysqldb/1.2.1-p2-1

Done: Jonas Meurer <mejo@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Andy Dustman <andy@dustman.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <mejo@debian.org>:
Bug#301419; Package python-mysqldb. Full text and rfc822 format available.

Acknowledgement sent to Tim Freeman <tim@fungible.com>:
New Bug report received and forwarded. Copy sent to Jonas Meurer <mejo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Freeman <tim@fungible.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-mysqldb: doesn't support MySQL sets on either read or write
Date: Fri, 25 Mar 2005 11:46:59 -0800
Package: python-mysqldb
Version: 1.1.6-1
Severity: normal

Here's some terminal dialogue:

lobus:~> python
Python 2.3.5 (#2, Feb  9 2005, 00:38:15) 
[GCC 3.3.5 (Debian 1:3.3.5-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import MySQLdb
>>> from sets import Set
>>> conn = MySQLdb.connect(user="test", passwd="x", db="test")
>>> cursor = conn.cursor()
>>> cursor.execute("drop table if exists foo")
0L
>>> cursor.execute("create table foo (xyzzy set('plugh', 'plover'))")
0L
>>> cursor.execute("insert into foo (xyzzy) values (%s)", (Set(['plugh', 'plover']),))
1L
>>> cursor.execute("insert into foo (xyzzy) values ('plover')")
1L
>>> cursor.execute("insert into foo (xyzzy) values ('plugh,plover')")
1L
>>> cursor.fetchmany()
()
>>> cursor.execute("select * from foo")
3L
>>> cursor.fetchmany()
# The next one should return
# ((Set(['plugh', 'plover']),),(Set(['plover']),),(Set(['plugh', 'plover']),))
(('',), ('plover',), ('plugh,plover',))
>>> 

I think there are two separate bugs.  Writing fails, but if you write
without using mysqldb's converters, reading fails.  There is a
converter defined for reading but apparently it is never called,
probably because the type used as the key to conn.converter is never
MySQLdb.constants.FIELD_TYPE.SET.

I'm running mysql-server version 4.0.23-7.  I see the same problem on
another machine with mysql-server-4.1 version 4.1.9-2.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (1500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-treo
Locale: LANG=C, LC_CTYPE=C

Versions of packages python-mysqldb depends on:
ii  python                        2.3.4-4    An interactive high-level object-o
ii  python2.3-mysqldb             1.1.6-1    A Python interface to MySQL

-- no debconf information



Reply sent to Jonas Meurer <jonas@freesources.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 301419-forwarded@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Andy Dustman <andy@dustman.net>
Cc: 301419-forwarded@bugs.debian.org
Subject: [Bug#301419: python-mysqldb: doesn't support MySQL sets on either read or write]
Date: Mon, 28 Mar 2005 22:24:12 +0200
hello andy,

there's another bug, reported to the debian bts, that relates more to
upstream. please reserve the Cc: header to record the discussion in the
debian bts.

bye
 jonas

----- Forwarded message from Tim Freeman <tim@fungible.com> -----

Date: Fri, 25 Mar 2005 11:46:59 -0800
From: Tim Freeman <tim@fungible.com>
Subject: Bug#301419: python-mysqldb: doesn't support MySQL sets on either read or write
To: Debian Bug Tracking System <submit@bugs.debian.org>
Reply-To: Tim Freeman <tim@fungible.com>, 301419@bugs.debian.org

Package: python-mysqldb
Version: 1.1.6-1
Severity: normal

Here's some terminal dialogue:

lobus:~> python
Python 2.3.5 (#2, Feb  9 2005, 00:38:15) 
[GCC 3.3.5 (Debian 1:3.3.5-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import MySQLdb
>>> from sets import Set
>>> conn = MySQLdb.connect(user="test", passwd="x", db="test")
>>> cursor = conn.cursor()
>>> cursor.execute("drop table if exists foo")
0L
>>> cursor.execute("create table foo (xyzzy set('plugh', 'plover'))")
0L
>>> cursor.execute("insert into foo (xyzzy) values (%s)", (Set(['plugh', 'plover']),))
1L
>>> cursor.execute("insert into foo (xyzzy) values ('plover')")
1L
>>> cursor.execute("insert into foo (xyzzy) values ('plugh,plover')")
1L
>>> cursor.fetchmany()
()
>>> cursor.execute("select * from foo")
3L
>>> cursor.fetchmany()
# The next one should return
# ((Set(['plugh', 'plover']),),(Set(['plover']),),(Set(['plugh', 'plover']),))
(('',), ('plover',), ('plugh,plover',))
>>> 

I think there are two separate bugs.  Writing fails, but if you write
without using mysqldb's converters, reading fails.  There is a
converter defined for reading but apparently it is never called,
probably because the type used as the key to conn.converter is never
MySQLdb.constants.FIELD_TYPE.SET.

I'm running mysql-server version 4.0.23-7.  I see the same problem on
another machine with mysql-server-4.1 version 4.1.9-2.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (1500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-treo
Locale: LANG=C, LC_CTYPE=C

Versions of packages python-mysqldb depends on:
ii  python                        2.3.4-4    An interactive high-level object-o
ii  python2.3-mysqldb             1.1.6-1    A Python interface to MySQL

-- no debconf information


----- End forwarded message -----



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <mejo@debian.org>:
Bug#301419; Package python-mysqldb. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Jonas Meurer <mejo@debian.org>. Full text and rfc822 format available.

Message #13 received at 301419@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: 301419@bugs.debian.org, andy@dustman.net
Subject: tried fetchall()?
Date: Sat, 4 Jun 2005 03:34:55 +0200
hello tim,

i don't know why writing to the DB failed on your side, but it works
very well here, and it already did with version 1.1.6.

can you still reproduce this part of the bug?

about the other (reading fails), have you already tried fetchall().
the idea of fetchmany is to fetch some, but not all entries from the
SELECT.

apart from that there seems to be a problem with fetchmany(). for me the
first time it doesn't print any field, for the second time one, for the
third time both, and then only no fields: (('',),)

andy, do you know this problem? can you reproduce the bug? even without
a parameter, fetchmany() gives different output. documentation says that
fetchmany() uses cursor.arraysize as default, and this variable doesn't
change all the time.

please check this bug. you can find the report at
http://bugs.debian.org/301419

bye
 jonas




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <mejo@debian.org>:
Bug#301419; Package python-mysqldb. Full text and rfc822 format available.

Acknowledgement sent to Andy Dustman <andy@dustman.net>:
Extra info received and forwarded to list. Copy sent to Jonas Meurer <mejo@debian.org>. Full text and rfc822 format available.

Message #18 received at 301419@bugs.debian.org (full text, mbox):

From: Andy Dustman <andy@dustman.net>
To: Jonas Meurer <jonas@freesources.org>
Cc: 301419@bugs.debian.org
Subject: Re: tried fetchall()?
Date: Sat, 04 Jun 2005 14:59:52 -0400
I've added a bug for this in the mysql-python tracker. I'm not sure when
I'll get to work on it.

https://sourceforge.net/tracker/index.php?func=detail&aid=1214916&group_id=22307&atid=374932




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <mejo@debian.org>:
Bug#301419; Package python-mysqldb. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Jonas Meurer <mejo@debian.org>. Full text and rfc822 format available.

Message #23 received at 301419@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Tim Freeman <tim@fungible.com>
Cc: 301419@bugs.debian.org
Subject: fix for the bug
Date: Thu, 20 Oct 2005 03:42:55 +0200
hello Tim,

Andy Dustmann, the upstream author of python-mysqldb may have found a
fix for the bug you reported. see the following link, and maybe you can
verify that this fixes the bug. Andy thinks about incorporating the fix
with python-mysqldb.

https://sourceforge.net/tracker/index.php?func=detail&aid=1324249&group_id=22307&atid=374932

...
 jonas

ps: please keep the Cc: header to let the debian bugtracking system see
    your replies.



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <mejo@debian.org>:
Bug#301419; Package python-mysqldb. Full text and rfc822 format available.

Acknowledgement sent to "Andy Dustman" <farcepest@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonas Meurer <mejo@debian.org>. Full text and rfc822 format available.

Message #28 received at 301419@bugs.debian.org (full text, mbox):

From: "Andy Dustman" <farcepest@gmail.com>
To: 301419@bugs.debian.org
Subject: Fixed upstream
Date: Mon, 27 Feb 2006 12:42:16 -0600
Fix will appear in 1.2.1, expected 2006-03-08
--
The Pythonic Principle: Python works the way it does
because if it didn't, it wouldn't be Python.



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <mejo@debian.org>:
Bug#301419; Package python-mysqldb. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Jonas Meurer <mejo@debian.org>. Full text and rfc822 format available.

Message #33 received at 301419@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Andy Dustman <farcepest@gmail.com>, 301419@bugs.debian.org
Subject: Re: Bug#301419: Fixed upstream
Date: Tue, 28 Feb 2006 17:12:30 +0100
On 27/02/2006 Andy Dustman wrote:
> Fix will appear in 1.2.1, expected 2006-03-08

great, i'm looking forward to package it ;-)

...
 jonas



Reply sent to Jonas Meurer <mejo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tim Freeman <tim@fungible.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 301419-close@bugs.debian.org (full text, mbox):

From: Jonas Meurer <mejo@debian.org>
To: 301419-close@bugs.debian.org
Subject: Bug#301419: fixed in python-mysqldb 1.2.1-p2-1
Date: Wed, 12 Apr 2006 11:32:19 -0700
Source: python-mysqldb
Source-Version: 1.2.1-p2-1

We believe that the bug you reported is fixed in the latest version of
python-mysqldb, which is due to be installed in the Debian FTP archive:

python-mysqldb_1.2.1-p2-1.diff.gz
  to pool/main/p/python-mysqldb/python-mysqldb_1.2.1-p2-1.diff.gz
python-mysqldb_1.2.1-p2-1.dsc
  to pool/main/p/python-mysqldb/python-mysqldb_1.2.1-p2-1.dsc
python-mysqldb_1.2.1-p2-1_all.deb
  to pool/main/p/python-mysqldb/python-mysqldb_1.2.1-p2-1_all.deb
python-mysqldb_1.2.1-p2.orig.tar.gz
  to pool/main/p/python-mysqldb/python-mysqldb_1.2.1-p2.orig.tar.gz
python2.3-mysqldb_1.2.1-p2-1_i386.deb
  to pool/main/p/python-mysqldb/python2.3-mysqldb_1.2.1-p2-1_i386.deb
python2.4-mysqldb_1.2.1-p2-1_i386.deb
  to pool/main/p/python-mysqldb/python2.4-mysqldb_1.2.1-p2-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 301419@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Meurer <mejo@debian.org> (supplier of updated python-mysqldb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 12 Apr 2006 19:10:00 +0200
Source: python-mysqldb
Binary: python2.4-mysqldb python-mysqldb python2.3-mysqldb
Architecture: source all i386
Version: 1.2.1-p2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Jonas Meurer <mejo@debian.org>
Description: 
 python-mysqldb - A Python interface to MySQL
 python2.3-mysqldb - A Python interface to MySQL
 python2.4-mysqldb - A Python interface to MySQL
Closes: 301419 358747 361940
Changes: 
 python-mysqldb (1.2.1-p2-1) unstable; urgency=low
 .
   [ Jonas Meurer ]
   * new upstream release (closes: #301419)
     - update patches
   * bump mysqlversion in debian/rules to 5.0.19
   * set the maintainer to the debian python modules team
   * relax dependency of python-mysqldb on python2.3-mysqldb
     (closes: #361940, #358747)
Files: 
 fa9c27e13874a76b5fce4213d80fbd57 786 python optional python-mysqldb_1.2.1-p2-1.dsc
 0513424b529587e12841e407c4492bbe 65648 python optional python-mysqldb_1.2.1-p2.orig.tar.gz
 ec899f616372e698131ccc31a0691dba 6519 python optional python-mysqldb_1.2.1-p2-1.diff.gz
 4fa9a593650ea1c6d75532d6d1b11f21 22358 python optional python-mysqldb_1.2.1-p2-1_all.deb
 af4ffbadc9798d3150e4522d8cf64def 59502 python optional python2.3-mysqldb_1.2.1-p2-1_i386.deb
 6468c02fc4f86c78eeebaddb06bccde9 59502 python optional python2.4-mysqldb_1.2.1-p2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEPULjd6lUs+JfIQIRAsrhAJ0XndAZNQCUY0CPDCsIQSwsreRr0ACfaadL
UXR2xr1P3NxfStdyaSAgLjE=
=/fjz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 19:08:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:18:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.